=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2010-11-05 15:19:01 +0000
+++ bzrlib/__init__.py	2010-11-05 15:57:40 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 3, 0, 'beta', 3)
+version_info = (2, 3, 0, 'dev', 4)
 
 # API compatibility version
 api_minimum_version = (2, 3, 0)

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-11-05 15:19:01 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-11-05 15:57:40 +0000
@@ -5,6 +5,59 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.3b4
+#########
+
+:Codename: Nirvana
+:2.3.b4: NOT RELEASED YET
+
+External Compatibility Breaks
+*****************************
+
+.. These may require users to change the way they use Bazaar.
+
+New Features
+************
+
+.. New commands, options, etc that users may wish to try out.
+
+Improvements
+************
+
+.. Improvements to existing commands, especially improved performance 
+   or memory usage, or better results.
+
+Bug Fixes
+*********
+
+.. Fixes for situations where bzr would previously crash or give incorrect
+   or undesirable results.
+
+Documentation
+*************
+
+.. Improved or updated documentation.
+
+API Changes
+***********
+
+.. Changes that may require updates in plugins or other code that uses
+   bzrlib.
+
+Internals
+*********
+
+.. Major internal changes, unlikely to be visible to users or plugin 
+   developers, but interesting for bzr developers.
+
+Testing
+*******
+
+.. Fixes and changes that are only relevant to bzr's test framework and 
+   suite.  This can include new facilities for writing tests, fixes to 
+   spurious test failures and changes to the way things should be tested.
+
+
 bzr 2.3b3
 #########
 
@@ -56,7 +109,7 @@
   the base directory for the other paths. (Vincent Ladeuil, #670851)
 
 * Correctly set the Content-Type  header when http POSTing to comply
-  with stricter web frameworks. (Vincent Ladeuil, #655100)
+  with stricter web frameworks. (Vincent Ladeuil, #665100)
 
 * Don't force openssh to use protocol=2, since that is now the default.
   (Neil Martinsen-Burrell, #561061)
@@ -88,7 +141,7 @@
 
 * Document the comment character in the .bzrignore file, including a
   workaround for ignore patterns that begin with #.
-  (Neil Martinsen-Burrell, #621515)
+  (Neil Martinsen-Burrell, #631515)
 
 API Changes
 ***********

